function  GuiChartTimerStart (ChartTempTimer,Startfcn,GpibAdd,Ghandles)

% The following variables are declared global since they will be used 
% by the timer function 'GuiTimerFunction'
% continously every time timer is activated
global mtxTempData ElapsedTime StartTime StartTimeAndDateString;

arrTempData = [];
mtxTempData = [];
ElapsedTime = 0;
StartTime = clock;
StartTimeAndDateString = datestr(now);

fprintf(Ghandles.SunGpibObject,'T');
strTemp = fscanf(Ghandles.SunGpibObject);
fprintf(Ghandles.SunGpibObject,'C');
strSetTemp = fscanf(Ghandles.SunGpibObject);
dblTemp = [str2double(strTemp)];
dblSetTemp = [str2double(strSetTemp)];

if isnan(dblSetTemp)
    dblSetTemp = 0;
end
arrTempData = [dblTemp  dblSetTemp];
mtxTempData = [mtxTempData;arrTempData];
MaxTemp = max (mtxTempData)+5;
MinTemp = min (mtxTempData)-5;
TimeMax = max(ElapsedTime)+1;
plot ( ElapsedTime,mtxTempData); %labels need to be inserted after plot function
axis([0  TimeMax MinTemp MaxTemp]);
ylabel ('Temperature');
StartTimeString = ['Start: ' StartTimeAndDateString];
XlabelString = ['Time(min) ' StartTimeString];
xlabel (XlabelString);
legend('TEMP','SET');
title('EC0X temp graph');



